All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class DefaultTreeDnDDelegate

    com.sas.models.DefaultTreeDnDDelegate

All Implemented Interfaces:
  TreeDnDDelegateInterface, java.io.Serializable

    public class DefaultTreeDnDDelegate

implements TreeDnDDelegateInterface, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static DefaultTreeDnDDelegate` | `defaultDelegate`

Constructor Summary
`DefaultTreeDnDDelegate()`

Method Summary
`boolean` | `isDraggable(SimpleNodeInterface[] nodePath)` Indicates whether a node is draggable.
`boolean` | `isDropSite(SimpleNodeInterface[] dragNodePath, SimpleNodeInterface[] dropNodeParentPath, int index)` Indicates whether a node is dropable on another node.
`boolean` | `performDrop(SimpleNodeInterface[] dragNodePath, SimpleNodeInterface[] dropNodeParentPath, int position)` Drops one node on another at position.

Field Detail

### defaultDelegate

    public static DefaultTreeDnDDelegate defaultDelegate

Constructor Detail

### DefaultTreeDnDDelegate

    public DefaultTreeDnDDelegate()

Method Detail

### isDraggable

    public boolean isDraggable(SimpleNodeInterface[] nodePath)

  Description copied from interface: `TreeDnDDelegateInterface`
  Indicates whether a node is draggable.

  Specified by:
    `isDraggable` in interface `TreeDnDDelegateInterface`
  Parameters:
    `nodePath` - complete path to and including the node to be dragged
  Returns:
    true if the node can be dragged, false otherwise
  See Also:
    `TreeDnDDelegateInterface`

### isDropSite

    public boolean isDropSite(SimpleNodeInterface[] dragNodePath,
                              SimpleNodeInterface[] dropNodeParentPath,
                              int index)

  Description copied from interface: `TreeDnDDelegateInterface`
  Indicates whether a node is dropable on another node.

  Specified by:
    `isDropSite` in interface `TreeDnDDelegateInterface`
  Parameters:
    `dragNodePath` - complete path to and including the node to be dragged
    `dropNodeParentPath` - complete path to and including the node to be dropped on
    `index` - position in the 0-based child list of the node described by dropNodePath in which to insert the node described by dragNodePath. The value -1 can be specified to append the node being dragged to the child list of the node being dropped on.
  Returns:
    true if the node specified by dropNodePath allows the node specified by dragNodePath to be dropped on it, false otherwise
  See Also:
    `TreeDnDDelegateInterface`

### performDrop

    public boolean performDrop(SimpleNodeInterface[] dragNodePath,
                               SimpleNodeInterface[] dropNodeParentPath,
                               int position)

  Description copied from interface: `TreeDnDDelegateInterface`
  Drops one node on another at position. A position of -1 can be specified to append the node being dragged to the child list of the node being dropped on.

  Specified by:
    `performDrop` in interface `TreeDnDDelegateInterface`
  Parameters:
    `dragNodePath` - complete path to and including the node being dragged
    `position` - The position in the 0-based child list of the node described by dropNodePath in which to insert the node described by dragNodePath. The value -1 can be specified to append the node being dragged to the child list of the node being dropped on
  Returns:
    true if the drop operation was successfully performed, false otherwise
  See Also:
    `TreeDnDDelegateInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.